#include <stdio.h>

typedef unsigned char ubyte;

ubyte key[250][256];

void error(char *msg) {
  fprintf(stderr, "%s\n", msg);
  exit(1);
}

void load_key(void) {
  FILE *fp;
  int i;
  fp = fopen("key.bin", "rb");
  if (!fp) error("cannot open key");
  for (i = 0; i < 250; i++)
    fread(key[i], 1, 256 ,fp);
  fclose(fp);
}

int main(int argc, char *argv[]) {
  int i, j;
  load_key();
  printf("ubyte key[250][256] = {\n");
  for (i = 0; i < 250; i++) {
    putchar('{');
    for (j = 0; j < 256; j++) {
      printf("0x%02x", key[i][j]);
      if (j != 255) {
	putchar(',');
	putchar((j % 8 == 7) ? '\n' : ' ');
      }
    }
    putchar('}');
    if (i != 249) printf(",\n");
  }
  printf("};\n");
  return 0;
}
